/*
 * timer.h -- a timer to keep the simulation paced
 */


#ifndef _TIMER_H_
#define _TIMER_H_


#define NUMBER_TIMERS	10	/* total number of simulation timers */


void timerTick(void);
void timerStart(char *descr, int ticks,
                void (*callback)(int param), int param);
void timerShow(void);

void timerReset(void);
void timerInit(void);
void timerExit(void);


#endif /* _TIMER_H_ */
