/*
 * memory.h -- main memory simulation
 */


#ifndef _MEMORY_H_
#define _MEMORY_H_


Octa memoryReadOcta(Octa pAddr);
Tetra memoryReadTetra(Octa pAddr);
Wyde memoryReadWyde(Octa pAddr);
Byte memoryReadByte(Octa pAddr);
void memoryWriteOcta(Octa pAddr, Octa data);
void memoryWriteTetra(Octa pAddr, Tetra data);
void memoryWriteWyde(Octa pAddr, Wyde data);
void memoryWriteByte(Octa pAddr, Byte data);

void memoryReset(void);
void memoryInit(U32 memorySize, char *romName, char *progName);
void memoryExit(void);


#endif /* _MEMORY_H_ */
